Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1366745 - what does stripesize have to do with mirror creation?
Summary: what does stripesize have to do with mirror creation?
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: lvm2
Version: 7.3
Hardware: x86_64
OS: Linux
unspecified
low
Target Milestone: rc
: ---
Assignee: Alasdair Kergon
QA Contact: cluster-qe@redhat.com
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-08-12 17:01 UTC by Corey Marthaler
Modified: 2016-11-04 04:17 UTC (History)
8 users (show)

Fixed In Version: lvm2-2.02.164-2.el7
Doc Type: No Doc Update
Doc Text:
Intra-release bug, no documentation needed.
Clone Of:
Environment:
Last Closed: 2016-11-04 04:17:21 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2016:1445 normal SHIPPED_LIVE lvm2 bug fix and enhancement update 2016-11-03 13:46:41 UTC

Description Corey Marthaler 2016-08-12 17:01:45 UTC
Description of problem:

# 7.2 (lvm2-2.02.130-5.el7_2.5.x86_64)
[root@host-006 ~]# lvcreate -m 1 --type mirror -n transform -L 25M test
  Rounding up size to full physical extent 28.00 MiB
  Logical volume "transform" created.




# current 7.3 (lvm2-2.02.163-1.el7) mirror attempt
[root@host-082 ~]# lvcreate -m 1 --type mirror -n transform -L 25M test
  Using default stripesize 64.00 KiB.
  Rounding up size to full physical extent 28.00 MiB
  Logical volume "transform" created.

# current 7.3 raid1 attempt
[root@host-082 ~]# lvcreate -m 1 --type raid1 -n transform -L 25M test
  Rounding up size to full physical extent 28.00 MiB
  Logical volume "transform" created.

Comment 2 Alasdair Kergon 2016-08-15 16:27:10 UTC
It's supported if there's more than one stripe.  Otherwise the message needs removing.

Comment 5 Corey Marthaler 2016-08-17 20:32:59 UTC
Fix verified in the latest rpms. Stripe message is no longer present.


[root@host-123 ~]# lvcreate -m 1 --type mirror -n transform -L 25M raid_sanity
  Rounding up size to full physical extent 28.00 MiB
  Logical volume "transform" created.

[root@host-123 ~]# lvcreate -m 1 --type raid1 -n transform1 -L 25M raid_sanity
  Rounding up size to full physical extent 28.00 MiB
  Logical volume "transform1" created.


3.10.0-493.el7.bz1367223.x86_64

lvm2-2.02.164-2.el7    BUILT: Tue Aug 16 05:43:50 CDT 2016
lvm2-libs-2.02.164-2.el7    BUILT: Tue Aug 16 05:43:50 CDT 2016
lvm2-cluster-2.02.164-2.el7    BUILT: Tue Aug 16 05:43:50 CDT 2016
device-mapper-1.02.133-2.el7    BUILT: Tue Aug 16 05:43:50 CDT 2016
device-mapper-libs-1.02.133-2.el7    BUILT: Tue Aug 16 05:43:50 CDT 2016
device-mapper-event-1.02.133-2.el7    BUILT: Tue Aug 16 05:43:50 CDT 2016
device-mapper-event-libs-1.02.133-2.el7    BUILT: Tue Aug 16 05:43:50 CDT 2016
device-mapper-persistent-data-0.6.3-1.el7    BUILT: Fri Jul 22 05:29:13 CDT 2016
cmirror-2.02.164-2.el7    BUILT: Tue Aug 16 05:43:50 CDT 2016
sanlock-3.4.0-1.el7    BUILT: Fri Jun 10 11:41:03 CDT 2016
sanlock-lib-3.4.0-1.el7    BUILT: Fri Jun 10 11:41:03 CDT 2016
lvm2-lockd-2.02.164-2.el7    BUILT: Tue Aug 16 05:43:50 CDT 2016

Comment 7 errata-xmlrpc 2016-11-04 04:17:21 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2016-1445.html


Note You need to log in before you can comment on or make changes to this bug.